| CMSIS-CORE Version 3.01 CMSIS-CORE support for Cortex-M processor-based devices

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

Data Fields
CONTROL_Type Union Reference

Union type to access the Control Registers (CONTROL).

## Data Fields
struct {
uint32_t nPRIV:1
| bit: 0 Execution privilege in Thread mode
uint32_t SPSEL:1
| bit: 1 Stack to be used
uint32_t FPCA:1
| bit: 2 FP extension active flag
uint32_t _reserved0:29
| bit: 3..31 Reserved
} | b
| Structure used for bit access.
uint32_t | w
| Type used for word access.

## Field Documentation

uint32_t CONTROL_Type::_reserved0

struct { ... } CONTROL_Type::b

uint32_t CONTROL_Type::FPCA

uint32_t CONTROL_Type::nPRIV

uint32_t CONTROL_Type::SPSEL

uint32_t CONTROL_Type::w